Bug 491328 - Ext4 data loss on accidental reboot, e.g. power failure
Ext4 data loss on accidental reboot, e.g. power failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 09:24 EDT by Volodymyr M. Lisivka
Modified: 2009-03-28 04:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 13:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (3.14 KB, application/x-gzip)
2009-03-20 09:24 EDT, Volodymyr M. Lisivka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 317781 None None None Never

  None (edit)
Description Volodymyr M. Lisivka 2009-03-20 09:24:01 EDT
Created attachment 336047 [details]
Test case

Description of problem:

Ext4 FS loses resets files to zero-size after accidental 

How reproducible:

Always reproducible.

Steps to Reproduce:

0. Backup your data and sync file system using sync command or SysRq-S
1. Run attached test case (worker.sh) in mode 1 or 2.
2. Press reboot key or use SysRq-B to reboot system.
3. Check files manually or with validate.sh tool.
  
Actual results:

All files in working directory are reset to zero size.

FS, Method, Number of damaged files, % of lossed data
ext4, 1, 100, 100.00%
ext4, 2, 100, 100.00%

Method:
1: open(file), truncate(fd), write(fd), close(fd)
2: open(tmp_file), write(fd), close(fd), rename(tmp_file, file)

Expected results:

Files must have valid content and non-zero size.

FS, Method, Number of damaged files, % of lossed data
ext3, 1, 1, 1.00%
ext3, 2, 0, 0.00%

Additional info:

See also: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/317781

These patches should be applied to Linux kernel:

http://git.kernel.org/?p=linux/kernel/git/tytso/ext4.git;a=commitdiff;h=3bf3342f394d72ed2ec7e77b5b39e1b50fad8284
http://git.kernel.org/?p=linux/kernel/git/tytso/ext4.git;a=commitdiff;h=6645f8c3bc3cdaa7de4aaa3d34d40c2e8e5f09ae
http://git.kernel.org/?p=linux/kernel/git/tytso/ext4.git;a=commitdiff;h=dbc85aa9f11d8c13c15527d43a3def8d7beffdc8
Comment 1 Chuck Ebbert 2009-03-24 13:22:07 EDT
Those patches were applied on March 12th and are in 2.6.29-rc8 and later rawhide kernels.
Comment 2 Mihai Harpau 2009-03-28 04:49:45 EDT
Can I suppose that these patches are also in kernels 2.6.29-x.fc10 ?

Note You need to log in before you can comment on or make changes to this bug.